Skip to main content
List all webhook endpoints for a business.
GET /api/v1/businesses/:businessId/webhook-endpoints Returns a list of all webhook endpoints registered for the business.

Parameters

Path

NameTypeRequiredDescription
businessIdstringYesThe business ID

Query

NameTypeRequiredDescription
limitintegerNoNumber of items (default 100)
offsetintegerNoPagination offset
sinceintegerNoUnix timestamp (ms) — return items created after this time
untilintegerNoUnix timestamp (ms) — return items created before this time

Request example

curl --request GET 'https://payments.bleepay.com/api/v1/businesses/biz_abc/webhook-endpoints' \
  --header 'Authorization: Bearer <business_token>'

Response

Returns an array of endpoint objects. See Get Endpoint for the object schema.

Example response

[
  {
    "id": "wh_abc123",
    "url": "https://example.com/webhooks/bleepay",
    "description": "Production webhook endpoint",
    "events": ["deposit.pending", "deposit.confirmed"],
    "enabled": true,
    "createdAt": "2026-06-09T12:00:00.000Z"
  }
]